
ChiliProject - Bug # 519: Get 500-error when trying to open Administration | Settings in chiliproject 2.0

Status: Closed Priority: Normal
Author: Thomas Langaas Category:
Created: 2011-07-12 Assignee:
Updated: 2012-01-03 Due date:
Remote issue URL:
Affected version: 2.0.0
Description: Here's the error:

<pre>
Processing SettingsController#index (for 10.0.1.71 at 2011-07-12 10:39:04) [GET]
  Parameters: {"controller"=>"settings", "action"=>"index"}
Rendering template within layouts/admin
Rendering settings/edit
Completed in 189ms (View: 171, DB: 12) | 200 OK [http://host.com/settings]

Processing ApplicationController#index (for 10.0.1.71 at 2011-07-12 10:39:04) [GET]
  Parameters: {"controller"=>"settings", "action"=>"index"}

ArgumentError (invalid byte sequence in US-ASCII):
  <internal:prelude>:10:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'
  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:513:in 
`accept_and_process_next_request'
  passenger (3.0.7) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in 
`start_request_handler'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in 
handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/utils.rb:479:in `safe_fork'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in 
`handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:180:in `start'
  passenger (3.0.7) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in 
spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:82:in `block in synchronize'
  <internal:prelude>:10:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'
  passenger (3.0.7) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'
  passenger (3.0.7) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'
  passenger (3.0.7) helper-scripts/passenger-spawn-server:99:in `<main>'

Rendering /..../chiliproject/public/500.html (500 Internal Server Error)
(END)
</pre>

List of gems installed:
<pre>
# gem list

*** LOCAL GEMS ***

actionmailer (2.3.12, 2.3.5)
actionpack (2.3.12, 2.3.5)
activerecord (2.3.12, 2.3.5)
activeresource (2.3.12, 2.3.5)
activesupport (2.3.12, 2.3.5)
bundler (1.0.15)
coderay (0.9.8)
daemon_controller (0.2.6)
edavis10-object_daddy (0.4.3)
fastthread (1.0.7)
i18n (0.4.2)
mocha (0.9.12)
mysql (2.8.1)
mysql2 (0.2.11)
passenger (3.0.7)
pg (0.9.0)
rack (1.1.2, 1.0.1)
rails (2.3.12, 2.3.5)
rake (0.9.2, 0.9.0, 0.8.7)
rdoc (3.8)
rmagick (2.13.1)
ruby-openid (2.1.8)
rubytree (0.5.3)
shoulda (2.10.3)
sqlite3-ruby (1.2.5)
</pre>

Ruby-version is 1.9.2

Associated revisions
2008-02-09 05:11 pm - Jean-Philippe Lang 
Merged IssuesController #edit and #update into a single actions.
Users with 'edit issues' permission can now update any property including custom fields when adding a note or changing the status (#519, #581, #587).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1129 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-07-31 11:38 am - Tom Rochette
Which database layer are you using? (sqlite, mysql, mysql2, postgre, ...)

AFAIK, 1.9.2 is known for still not playing nice with mysql encoding.

2011-08-01 11:32 am - Craig Price
Not sure about the original poster, but I also seem to be experiencing this bug.  In my case, I'm using mysql on 1.9.2.
2011-08-02 11:40 am - Craig Price
I have just updated to version 2.1.0, and this bug is still present in my system.

2011-08-05 03:46 pm - Eric Davis
- Priority changed from High to Normal

In your database.yml are you using mysql or mysql2? If it's mysql, try using mysql2.

2011-08-06 02:52 pm - Craig Price
I was using mysql.  I switched to mysql2 in database.yml, but with no effect whatsoever.

I thought maybe my database was already borked, so I dropped all tables and re-ran the various rake commands to re-setup and populate the 
database.  This also seemed to have no effect- I still get the exact same error.

Did I perhaps miss something?

2011-10-31 10:23 pm - Holger Just
- Status changed from Open to Needs more information

Could you please check if the issue still persists with ChiliProject 2.4?

2012-01-03 10:31 pm - Holger Just
- Status changed from Needs more information to Closed

Closed as of inactivity. As we have tremendously improved 1.9 compatibility since version:2.0.0, I assume this to not be an issue anymore.
